Update Folder

Rename or move a folder. Omitted fields are unchanged. An explicitly null parent_id moves the folder to the root.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

folder_idUUIDRequired
Folder ID.

Request

This endpoint expects an object.
namestringOptional
New folder name. Omit to leave unchanged.
parent_idUUIDOptional
Omit to leave unchanged, null to move to root, or an owned folder UUID.

Response

This endpoint returns an object.
idUUID
Folder ID.
namestring
Display name.
created_atdatetime
Creation time.
updated_atdatetime
Last update time.
parent_idUUIDOptional
Parent folder ID, or null for a root folder.

Errors

400
Invalid Folder
401
Authentication Error
404
Folder Not Found
409
Folder Conflict